Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::Allocation Class Reference

A GtkAllocation C++ wrapper class. More...

`#include <xfc/gtk/widget.hh>`

Inheritance diagram for Xfc::Gtk::Allocation:

List of all members.

## Public Member Functions

Constructors

- Allocation ()
    Construct an empty allocation.
- Allocation (int x, int y, int width, int height)
    Construct an allocation with the specified position an size.
- Allocation (const GtkAllocation &allocation)
    Construct a new allocation from an existing GtkAllocation.

Accessors

- GtkAllocation * gtk_allocation () const
    Get a pointer to the GtkAllocation structure (GtkAllocation is a typedef for GdkRectangle).

## Detailed Description

A GtkAllocation C++ wrapper class.

Allocation holds the position and size allocated to a widget. It derives publicly from Gdk::Rectangle, which derives publicly from GdkRectangle. Allocation uses default copy, assignment and destruction and allows public access to GdkRectangle's x, y, width and height fields.

## Constructor & Destructor Documentation

Xfc::Gtk::Allocation::Allocation | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

Construct an allocation with the specified position an size.

Parameters:

  | x | The X coordinate.
  | y | The Y coordinate.
  | width | The width of the allocation.
  | height | The height of the allocation.

Xfc::Gtk::Allocation::Allocation | ( | const GtkAllocation & | allocation | ) |

Construct a new allocation from an existing GtkAllocation.

Parameters:

  | allocation | A GtkAllocation.

The documentation for this class was generated from the following file:

- widget.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3